Docs Autonomy
Référence APIRuns

Get the API assurance snapshot for a run

Returns the immutable Run-level API assurance report and its value-free coverage, finding, and inferred-patch evidence. A missing report is represented by report: null while terminal-run backfill is pending.

GET
/api/runs/{runId}/assurance

Returns the immutable Run-level API assurance report and its value-free coverage, finding, and inferred-patch evidence. A missing report is represented by report: null while terminal-run backfill is pending.

Authorization

bearerAuth
AuthorizationBearer <token>

Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.

In: header

Path Parameters

runId*string

Run document ID.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/runs/string/assurance"
{
  "report": {
    "gateStatus": "passing",
    "gateReasons": [
      "string"
    ],
    "documentedOperationCount": 0,
    "observedDocumentedOperationCount": 0,
    "unobservedDocumentedOperationCount": 0,
    "undocumentedObservedRouteCount": 0,
    "contractFailureCount": 0,
    "contractIndeterminateCount": 0,
    "baselineShapeChangeCount": 0,
    "isolationFailureCount": 0,
    "crossChannelFailureCount": 0,
    "fuzzProbeFailureCount": 0,
    "findingCount": 0,
    "blockingFindingCount": 0,
    "generatedAt": 0
  },
  "findings": [
    {}
  ],
  "coverage": [
    {}
  ],
  "inferredPatches": [
    {
      "patchKey": "string",
      "kind": "add-operation",
      "operationKey": "string",
      "method": "string",
      "pathShape": "string",
      "targetPath": "string",
      "status": 0,
      "name": "string",
      "contentType": "string",
      "shapeFingerprint": "string",
      "rationale": "string",
      "patchFormat": "openapi-overlay-1.1.0",
      "patchDocumentJson": "string",
      "generatedAt": 0
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}